
Redmine - Defect #5452

Member role forms  in project settings are not hidden after member added

2010-05-06 06:06 - Yuki Kita

Status: Closed Start date: 2010-05-06

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: UI Estimated time: 0.00 hour

Target version: 0.9.5   

Resolution: Fixed Affected version:  

Description

Member role forms in project settings should be hidden by default.

And we click [edit] button to see them.

But if I add some member to a project, all member role forms are shown.

So I have to click [cancel] button one by one to hide them.

It seems that the behavior was changed after the fix for #4852 ( r3483 ).

Because the load event handler bellow is not called after member added.

Event.observe(window, 'load', function() {

  $$('.hol').each(function(el) {

      el.hide();

    });

});

Associated revisions

Revision 3784 - 2010-06-19 21:51 - Eric Davis

Hide the role forms when editing or adding Project members. #5452

Contributed by Yuki Kita

History

#1 - 2010-05-06 09:08 - Felix Schäfer

- Category set to UI

- Target version set to 0.9.5

I have also had that problem on at least one of my installations. I'll try to go through all of them and post the version numbers.

#2 - 2010-05-07 23:06 - Alain Alain091

- File _members.rhtml.diff added

See patches attached for application.js and _members.rhtml

The name of the function hideRoles could be change if not appropriate.

#3 - 2010-05-07 23:07 - Alain Alain091

- File application.js.diff added

The other file

#4 - 2010-05-08 02:53 - Yuki Kita

- File member_role_forms.patch added

Alain Gandon wrote:

See patches attached for application.js and _members.rhtml
The name of the function hideRoles could be change if not appropriate.

 Thanks for your cooperation.

The patch works fine.

But I noticed that there still remains some code to be fixed.

So I updated your patch.

#5 - 2010-05-08 03:13 - Yuki Kita

But I noticed that there still remains some code to be fixed.

 Member role forms are shown not only after member added, but also after member deleted and member role changed.

#6 - 2010-05-11 14:38 - Yuki Kita

- File member_role_forms2.patch added

Updated the patch to reflect the current trunk.

#7 - 2010-06-19 21:44 - Eric Davis

- Status changed from New to Resolved

- Assignee set to Eric Davis

- % Done changed from 0 to 100

- Resolution set to Fixed

Fixed in r3784.  I did it a little differently and had the RJS in the MembersController send hideOnLoad() to the page itself.  Thank you for the

contribution.

#8 - 2010-06-20 00:58 - Eric Davis

- Status changed from Resolved to Closed

Merged to 0.9-stable for release.

Files

_members.rhtml.diff 1.12 KB 2010-05-07 Alain Alain091

application.js.diff 375 Bytes 2010-05-07 Alain Alain091

member_role_forms.patch 3.23 KB 2010-05-08 Yuki Kita

member_role_forms2.patch 2.77 KB 2010-05-11 Yuki Kita
